Using the µVision Socket Interface: Build Output Functions

| Using the µVision Socket Interface Application Note 198 Control and monitor µVision via the built-in TCP/IP interface

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
Build Output Functions
Client Functions

## Functions
_UVSC_FUNC_ UVSC_STATUS | UVSC_GetBuildOutputSize (int iConnHandle, int *pBuildOutputSize)
_UVSC_FUNC_ UVSC_STATUS | UVSC_GetBuildOutput (int iConnHandle, char *pBuildOutput, int buildOutputLen)

## Description

## Function Documentation

_UVSC_FUNC_ UVSC_STATUS UVSC_GetBuildOutput | ( | int | iConnHandle,
|  | char * | pBuildOutput,
|  | int | buildOutputLen
| ) |  |

Get the latest build output text

Parameters

  iConnHandle | Handle for the connection, as returned by UVSC_OpenConnection
  pBuildOutput | Pointer to a buffer to contain the build output text
  buildOutputLen | Size of the pBuildOutput buffer (bytes)

Returns
  UVSC_STATUS_SUCCESS on success, or an error code

Precondition
  UVSC_OpenConnection must have been called successfully
  A build must have been performed, otherwise no data will be returned
  UVSC_GetBuildOutputSize must have been called successfully

Use this function to get the latest build output text. First call UVSC_GetBuildOutputSize so that a correctly sized buffer can be passed to this function.

_UVSC_FUNC_ UVSC_STATUS UVSC_GetBuildOutputSize | ( | int | iConnHandle,
|  | int * | pBuildOutputSize
| ) |  |

Get the size (bytes) of the latest build output text

Parameters

  iConnHandle | Handle for the connection, as returned by UVSC_OpenConnection
  pBuildOutputSize | Pointer to a variable to contain the build output text size (bytes)

Returns
  UVSC_STATUS_SUCCESS on success, or an error code

Precondition
  UVSC_OpenConnection must have been called successfully

Use this function to get the size (bytes) of the latest build output text that will be returned by the UVSC_GetBuildOutput function.